# Notus API

API wrapper for interacting with the Notus component of the openvasd HTTP API.

class NotusAPI

  Provides access to the Notus-related endpoints of the openvasd HTTP API.

  This includes retrieving supported operating systems and triggering package-based vulnerability scans for a specific OS.

  get_os_list()

    Retrieve the list of supported operating systems from the Notus service.

    Returns:

      The full httpx.Response on success.

    Return type:

      Response

    See: GET /notus in the openvasd API documentation.

  run_scan(os, package_list)

    Trigger a Notus scan for a given OS and list of packages.

    Parameters:

      - os (str) – Operating system name (e.g., “debian”, “alpine”).

      - package_list (list[str]) – List of package names to evaluate for vulnerabilities.

    Returns:

      The full httpx.Response on success.

    Return type:

      Response

    See: POST /notus/{os} in the openvasd API documentation.